=== debian/changelog ===
dancer-bot (4.16p1-10) unstable; urgency=low

  * Add patch to fix build-failure on alpha. Patch mailed to upstream.

 -- Søren Boll Overgaard <boll@debian.org>  Sun, 14 Sep 2003 18:46:49 +0000

dancer-bot (4.16p1-9) unstable; urgency=low

  * Add patches from the main CVS trunk to handle build failures with 
    newer versions of gcc.
    - Back out perl-based sourcefile preprocessing, as changes are now in 
      upstream CVS.
    This should close: Bug#207294

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Sun, 14 Sep 2003 12:22:14 +0000

dancer-bot (4.16p1-8) unstable; urgency=low

  * Fix macros to compile with gcc-3.3 (Closes: Bug#194890).
    + Add preprocessing of sourcefiles.
  * Link with current version of math libraries.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Tue, 27 May 2003 18:52:24 +0000

dancer-bot (4.16p1-7) unstable; urgency=low

  * Standards version 3.5.7
  * Don't make /usr/doc link.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Sun, 20 Oct 2002 13:38:11 +0200

dancer-bot (4.16p1-6) unstable; urgency=low

  * The "actually-make-announced-changes" release.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Thu,  8 Aug 2002 10:24:59 +0200

dancer-bot (4.16p1-5) unstable; urgency=low

  * Make a few changes to installbot and launch.sh to make it work (Thanks Elmar    Hoffmann).

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Wed,  7 Aug 2002 18:57:39 +0200

dancer-bot (4.16p1-4) unstable; urgency=low

  * Fix wrong paths in debian/postinst and installbot (Thanks 
    v.oostveen@hccnet.nl).

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Wed, 17 Jul 2002 11:11:34 +0200

dancer-bot (4.16p1-3) unstable; urgency=low

  * Don't apply patch at compiletime.
  * Make sure that clean target removes failed patches etc.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Tue, 16 Jul 2002 13:21:31 +0200

dancer-bot (4.16p1-2) unstable; urgency=low

  * Clean up man page.
  * Clean up description.
  * Make versioning consistent with patch-level.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Tue, 16 Jul 2002 13:03:17 +0200

dancer-bot (4.16-1) unstable; urgency=low

  * Initial Release (closes: Bug#152053).
  * Added "clean" target to top level Makefile.
  * Changed Makefile so as not to attempt to configure the bot at compile time,
    instead we install the bot configuration script into /usr/share/dancer/.
  * Changed the installbot script to correctly handle Debian paths.
  * Changed the installbot script to install the bot in a more sane directory.

 -- SÃ¸ren Boll Overgaard <boll@debian.org>  Fri,  5 Jul 2002 17:53:01 +0200
