=== debian/control ===
Source: dancer-bot
Section: net
Priority: optional
Maintainer: SÃ¸ren Boll Overgaard <boll@debian.org>
Build-Depends: debhelper (>> 3.0.0), perl-base
Standards-Version: 3.5.7

Package: dancer-bot
Architecture: any
Depends: ${shlibs:Depends}
Suggests: lynx
Description: A powerful (Ro)bot for Internet Relay Chat networks
 An IRC bot. 
 A bot is an automated client for Internet Relay Chat networks, which stays 
 online after its owner leaves.  
 It was designed to protect and serve. Your faithful, strong (but humble) 
 servant.
