=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	-echo|$(MAKE) configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/dancer.sgml > dancer.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp \
		config.log \
		config.cache \
		config.status \
		src/config.log \
		src/config.cache \
		src/config.status

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/dancer.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dancer-bot

	mkdir -p $(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script
	install -m 755 -D -o root -g root script/filecount \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script/filecount
	install -m 755 -D -o root -g root script/fileget \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script/fileget
	install -m 755 -D -o root -g root script/speller.awk \
		$(CURDIR)/debian/dancer/usr/share/dancer-bot/script/speller.awk
	install -m 755 -D -o root -g root script/speller.sh \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script/speller.sh
	install -m 644 -D -o root -g root script/filesetup \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/script/filesetup
			

	install -D -o root -g root launch.sh \
		$(CURDIR)/debian/dancer-bot/usr/share/dancer-bot/launch.sh

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installexamples example/*
	dh_installdocs -XFPL BUGS FAQ README FILES TODO doc/
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/dancer-bot.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
